/*
 Theme Name:        Uptown Charity Theme
 Text Domain:       uptown-child-charity
 Author:            April Auger
 Author URI:        https://aprilauger.com
 Description:       Charity is a child theme designed to be used alongside the Uptown theme.
 Template:          uptown
 Version:           1.0.0
 Requires at least: 6.4
 Tested up to:      6.4
 Requires PHP:      8.0
 License:           GNU General Public License v2 or later
 License URI:       http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Typography */
.h1,
.h2,
.h3,
.h4 {
	font-family: var(--wp--preset--font-family-montserrat);
	font-weight: 700;
}

/* Hero */
.hero__curve {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 2;
}

/* Title block */
.title-block-curve {
	bottom: 0;
	height: auto;
	left: 0;
	line-height: 0;
	margin: 0;
	margin-bottom: -1px;
	padding: 0;
	position: absolute;
	width: 100%;
}

/* Search */
.search-wrapper .search-field {
	border-radius: 2rem;
}

/* Buttons */
.wp-block-button.is-style-outline .wp-element-button {
	border-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--primary);
}

.wp-block-button.is-style-outline .wp-element-button:hover {
	background: var(--wp--preset--color--primary);
	border-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--white);
}

.wp-block-button.is-style-fill .has-white-background-color {
	border-color: white;
}

.wp-block-button.is-style-fill .has-white-background-color:hover {
	background: transparent !important;
	color: white !important;
}

.search-submit.wp-block-button__link {
	margin: 3px;
}

/* Gutenberg */
.section-hover {
	position: relative;
	overflow: hidden;
	border-radius: 1rem;
	/* Match image border-radius */
}

.section-hover .wp-block-image {
	position: relative;
	overflow: hidden;
	border-radius: 1rem;
}

.section-hover img {
	display: block;
	width: 100%;
	height: auto;
	transition: transform 0.3s ease-in-out;
	border-radius: 1rem;
}

.section-hover:hover .wp-block-image img {
	transform: scale(1.05);
}

/* Forms */
legend.gfield_label.gform-field-label.gfield_label_before_complex,
label.gfield_label.gform-field-label {
	font-weight: 600;
}

/* Footer */
#footer .column #menu-footer {
	text-align: center;
	margin-bottom: 0;
	margin-top: var(--wp--preset--spacing--4);
}

.ft-copy {
	text-align: center;
}

.site-info {
	font-size: var(--wp--preset--font-size--x-small);
	;
}

@media (min-width: 576px) {
	#footer .column-1 {
		width: 100%;
	}

	#footer .column-1 ul {
		align-items: center;
		display: flex;
		flex-wrap: nowrap;
		justify-content: flex-start;
		margin-bottom: var(--wp--preset--spacing--3);
		width: 100%;
	}

	#footer .column-1 ul::before,
	#footer .column-1 ul::after {
		border-bottom: solid 1px var(--wp--preset--color--medium-primary);
		content: "";
		flex: 1 1 auto;
		opacity: 0.25;
	}

	#footer .column-1 #menu-footer li {
		display: inline-block;
		padding-left: 1.25rem;
		padding-right: 1.25rem;
	}
}

.page-id-92 #footer,
.page-id-2 #footer {
	margin-top: 0;
}

/* Other styles */
:root {
	--wp--preset--shadow--natural: 0px 10px 20px 0px rgba(0, 0, 0, 0.15);
}

.header .header__wrapper .search-wrapper .search-field {
	background: #fff !important;
	border: 1px solid #ddd;
}

.load-more-posts.mt-4 {
	text-align: center !important;
}

.event-date {
	font-size: var(--wp--preset--font-size--x-small) !important;
	margin-bottom: .25rem;
}

.post-list img {
	border-radius: 1rem !important;
}

.post-list article {
	border: 1px solid #ddd;
	border-radius: 1rem;
	padding: 1.5rem;
}

@media (min-width: 1200px) {
	.header__navbar .button-1 {
			margin-right: .5rem;
	}
}

figure.wp-block-image,
figure.wp-block-image img {
    width: 100%;
}

.wp-block-button__link {
	height: auto;
	width: auto;
}